From: "Sebastian Pipping" <sping@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-client/httrack/
Date: Sat, 27 Jan 2024 14:45:02 +0000 (UTC) [thread overview]
Message-ID: <1706366681.f9c60d96aded857317f916390e624607d5f44337.sping@gentoo> (raw)
commit: f9c60d96aded857317f916390e624607d5f44337
Author: Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 27 14:37:12 2024 +0000
Commit: Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Sat Jan 27 14:44:41 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f9c60d96
www-client/httrack: 3.49.5 + ReferenceInMetadataVar
Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>
www-client/httrack/Manifest | 1 +
www-client/httrack/httrack-3.49.5.ebuild | 77 ++++++++++++++++++++++++++++++++
2 files changed, 78 insertions(+)
diff --git a/www-client/httrack/Manifest b/www-client/httrack/Manifest
index 1facd1646cc1..16f32a737322 100644
--- a/www-client/httrack/Manifest
+++ b/www-client/httrack/Manifest
@@ -2,3 +2,4 @@ DIST coucal-73ada075553b7607d083037a87cb9c73b3683bfc.gh.tar.gz 21306 BLAKE2B c04
DIST gnulib-32a72f45374c9a36afa574d1a08bb98090270012-visibility.m4 3474 BLAKE2B 8b58ab88f22ee671eb97070e0470286e750db38bfe623b9ab31b1c8e70ca878432d0276d9bd79fde40c3fbf14c435a142430121a02356d0f9e5e21cb71ce9442 SHA512 63b6f76f955bbd55749cb08b657bcb257ef8cb1b2705d035d700f66d78ff6f82d81c7180fba6e2a6af51a2f97071929a8e253dc2e183b62dc843c7a68bc8e518
DIST httrack-3.49.2.tar.gz 1835116 BLAKE2B 4073b70268bcea8acf0a9ac10deed14764ccd405c82f1b9f48dc74d3dbef130161234b59e70e72305a195d21155474831e8359eea9b96d275481a69b1c1ff561 SHA512 84a13a776b278533f7f0635ebd764387c3399b01c0644d8af9b46fc8112dc3c6e568c17969d4f6c2db32b5474344c39f86cf51957c09eb807ebe305a554ba5c8
DIST httrack-3.49.4.gh.tar.gz 1761838 BLAKE2B 5fcfb3dcf97bb672dd7a93a61c0eee3d3d18615abd547932c77b46f930ae30d8395df61614c0ccb4cd42552546f6a81323e9048afc17eecfd2136da4199c6158 SHA512 7cc25af0cf493f3304e15e021769646ca035c54145eb9fdc0b383cfe05d369ae50ffd222cbbe23de3d8270947ff3a564ab59e7f7f5186d63e8e63d56fae1e10d
+DIST httrack-3.49.5.gh.tar.gz 1767597 BLAKE2B ed8b6915b8eb150b12d91d78c0225430796548c102b695b0917d5c9dd0e9fc3c28ec0c7fffa6bad0c7d594293915f5fb77c61dc7b1e7a378a45af3835d7da05a SHA512 4a4442563e3d4e80d3f5176793611317a86f8960c967cf0f1a568bea1e44335a76c2864dad600919d21c57ad48614d340d71a793f9f5e2a4032da24050251fd6
diff --git a/www-client/httrack/httrack-3.49.5.ebuild b/www-client/httrack/httrack-3.49.5.ebuild
new file mode 100644
index 000000000000..e65ed02e13f5
--- /dev/null
+++ b/www-client/httrack/httrack-3.49.5.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+inherit autotools xdg-utils
+
+# TODO unbundle coucal, upstream ticket https://github.com/xroche/httrack/issues/247
+COUCAL_COMMIT=73ada075553b7607d083037a87cb9c73b3683bfc
+
+DESCRIPTION="HTTrack Website Copier, Open Source Offline Browser"
+HOMEPAGE="https://www.httrack.com/"
+SRC_URI="https://github.com/xroche/httrack/archive/refs/tags/${PV}.tar.gz -> ${P}.gh.tar.gz
+ https://github.com/xroche/coucal/archive/${COUCAL_COMMIT}.tar.gz -> coucal-${COUCAL_COMMIT}.gh.tar.gz"
+
+LICENSE="BSD GPL-3 public-domain" # BSD and public-domain is from bundled Coucal
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+IUSE="static-libs"
+
+RDEPEND=">=sys-libs/zlib-1.2.5.1-r1
+ >=dev-libs/openssl-1.1.0:=
+ "
+DEPEND="${RDEPEND}"
+
+DOCS=( AUTHORS README greetings.txt history.txt )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.48.13-minizip.patch
+)
+
+src_prepare() {
+ rmdir "${S}"/src/coucal || die
+ mv "${WORKDIR}"/coucal-${COUCAL_COMMIT} "${S}"/src/coucal || die
+
+ default
+
+ # We need to patch use of /usr/lib because it is a problem with
+ # linker lld with profile 17.1 on amd64 (see https://bugs.gentoo.org/732272).
+ # The grep sandwich acts as a regression test so that a future
+ # version bump cannot break patching without noticing.
+ if [[ "$(get_libdir)" != lib ]]; then
+ grep -wq '{ZLIB_HOME}/lib' m4/check_zlib.m4 || die
+ sed "s,{ZLIB_HOME}/lib,{ZLIB_HOME}/$(get_libdir)," -i m4/check_zlib.m4 || die
+ grep -w '{ZLIB_HOME}/lib' m4/check_zlib.m4 && die
+ fi
+
+ eautoreconf
+}
+
+src_configure() {
+ econf $(use_enable static-libs static)
+}
+
+src_install() {
+ default
+
+ # Make webhttrack work despite FEATURES=nodoc cutting
+ # all of /usr/share/doc/ away (bug #493376)
+ if has nodoc ${FEATURES} ; then
+ dodir /usr/share/${PF}/
+ mv "${D}"/usr/share/{doc/,}${PF}/html || die
+
+ rm "${D}"/usr/share/${PN}/html || die
+ dosym ../../${PF}/html /usr/share/${PN}/html
+ fi
+
+ find "${D}" -name '*.la' -type f -delete || die
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+}
next reply other threads:[~2024-01-27 14:45 UTC|newest]
Thread overview: 34+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-01-27 14:45 Sebastian Pipping [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-01-27 18:43 [gentoo-commits] repo/gentoo:master commit in: www-client/httrack/ Sebastian Pipping
2024-01-27 17:36 Sam James
2024-01-27 17:36 Sam James
2024-01-27 17:29 Arthur Zamarin
2024-01-27 17:29 Arthur Zamarin
2024-01-27 14:45 Sebastian Pipping
2023-03-13 2:49 Sebastian Pipping
2023-01-31 2:31 Sebastian Pipping
2023-01-18 0:21 Sebastian Pipping
2022-11-29 1:18 Sebastian Pipping
2021-04-30 18:34 Mikle Kolyada
2021-04-16 11:23 Sam James
2021-03-24 16:10 Sebastian Pipping
2021-01-31 20:01 Sebastian Pipping
2020-01-31 18:36 Sebastian Pipping
2019-11-12 18:07 Agostino Sarubbo
2019-10-28 7:41 Agostino Sarubbo
2019-10-27 23:20 Thomas Deutschmann
2019-10-26 18:16 Sebastian Pipping
2019-10-26 18:16 Sebastian Pipping
2019-03-31 21:05 Sebastian Pipping
2018-04-21 20:56 Sebastian Pipping
2017-08-20 21:39 Sebastian Pipping
2017-08-20 21:33 Sebastian Pipping
2017-05-14 19:44 Sebastian Pipping
2016-08-03 15:03 Sebastian Pipping
2016-02-19 15:33 Fabian Groffen
2015-11-21 7:11 Anthony G. Basile
2015-11-12 9:40 Agostino Sarubbo
2015-11-11 10:05 Agostino Sarubbo
2015-11-11 8:54 Agostino Sarubbo
2015-11-08 16:26 Sebastian Pipping
2015-11-08 16:26 Sebastian Pipping
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1706366681.f9c60d96aded857317f916390e624607d5f44337.sping@gentoo \
--to=sping@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox